Name: ca_SlovakGrid
Version: 1.22
Release: 1
Source: ca_SlovakGrid-1.22.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
#BuildRequires: openssl
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%define GSI_CA_NAME  %(tar xOfz %{SOURCE0} ca_SlovakGrid-1.22/e13e0fcf.0 | openssl x509 -noout -subject |sed 's#^.*/CN=##')

Summary: Trust anchors for classic accredited authority SlovakGrid

%if %([ -n "http://ups.savba.sk/ca" ] && echo 1 || echo 0)
URL: http://ups.savba.sk/ca
%endif

%if %([ -n "" ] && echo 1 || echo 0)
Requires: 
%endif

%prep
%setup -n ca_SlovakGrid-1.22

%description
This is the trust anchor for the classic accredited authority SlovakGrid.
You should install this package if you want to trust the identity 
assertions issued by the %{GSI_CA_NAME}.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr e13e0fcf.* $RPM_BUILD_ROOT/etc/grid-security/certificates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/grid-security/certificates/

